Downloads & Trials

Add-in Installers

All Olympic add-ins are compiled for use with the latest build number of the MindManager. If you do not have the latest build installed you may experience issues.

Please check your MindManager version AND build number by selecting File -> Help or Help -> About inside the application before downloading.

MindManager Installers

You can find installers for the most up to date versions of MindManager at the bottom of the list.

MindManager 32/64 bit
MindManager 15 users please check the information on our post regarding the installation of MindManager 15 and third party add-ins in 32/64 bit. Read it here: MindManager 15 32/64 Bit

MAP for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

Map Tracker

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

OPTi-Docs for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

OPTi-P2 for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

OPTi-Q for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

Task4Maps for MindManager

Supports MindManager build versions: 15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

Topic Tracker for MindManager

Note: Topic Tracker CANNOT be used with 64 bit MindManager & 32 bit MS Office!

Supports MindManager build versions: 15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

WordX for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

Network Builder for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

myThings2 for MindManager

Supports MindManager build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305

Mindjet MindManager for Windows

Build versions:
15.0.160 (32/64 Bit) | 14.3.192 | 11.3.305